findfiles(1)

NAME
findfiles - Utility to locate files containing specific content

SYNOPSIS
findfiles [switches]

DESCRIPTION

Very often when you are programming in any programming or scripting language, you want to find out how a particular function works or whether a particular property is settable, or any of a number of other questions. In many cases, you can find the answers to your questions by looking at the source code of the application or tool you're using. This is sometimes referred to as "code shopping," particularly when what you really hope to find is a method that does exactly what you want to do. The PythonCard findfiles tool is designed to support you in these efforts.

Type in a string for which to search, tell findfiles the directories (yes, you can have more than one) in which to search for files containing that string, and send findfiles off to locate files with that specific content. Scroll through the list of files, each with a line reproducing part of the located line for each occurrence in the file, find the one you think is what you are looking for, and double-click the line. Voila! The PythonCard codeEditor tool opens and scrolls instantly to the line you've selected.

SWITCHES

-p  Show property editor

-m  Show message watcher

-l  Enable logging

-s  Show shell

-m  Show namespace

-d  Show debug menu

REGULAR EXPRESSIONS

The findfiles utility uses classic Unix grep (regular expression) searches.

The grep utility uses a technique called regular expression matching to locate information. In regular expressions, some characters have a special meaning. If you want to search for any of these special characters in the strings you supply in findfiles, you'll have to escape them by preceding them with a backward slash (\) character.

While there are many such characters in regular expressions, the ones with which you will need to be most careful are: question mark (?), asterisk (*), addition/concatenation operator (+), pipe or vertical bar (|), caret (^) and dollar sign ($). To search for a dollar sign in the target directories, for example, put "\$" into the search field. (Putting in a $ by itself will crash findfiles fairly reliably.)

On a Debian system, you can see the manpages for grep(1) or regex(7) for more information on grep and regular expressions.

NOTES

The findfiles utility also provides additional functionality that is not discussed in this manpage, because it is somewhat difficult to completely describe usage of a GUI program in a text-based manpage. For more detailed usage instructions or for more information on the PythonCard GUI framework in general, you should install the pythoncard-doc package and take a look at the various walk-throughs, tutorials and samples included with it.

Once the pythoncard-doc package is installed, the documentation is installed to /usr/share/doc/pythoncard-doc, and is also available via Debian's doc-base infrastructure - find it in the Devel section using dwww(1), doc-central(1) or dhelp(1).

If you would rather not install the pythoncard-doc package, you can find essentially the same information on the PythonCard website:

http://pythoncard.sourceforge.net

BUGS

Although it is considered to be stable, this is still development-level software.

Please report bugs in this or any PythonCard component to the Debian Bug Tracking system using reportbug(1).

AUTHOR
This manpage was written by Kenneth J. Pronovici <pronovic@debian.org>, for use by the Debian project. Content was based on previously-existing PythonCard documentation in other forms.

SEE ALSO
codeEditor(1), resourceEditor(1),